png++ 0.2.10

Public Types | Public Member Functions | Public Attributes | List of all members
png::basic_rgba_pixel< T > Struct Template Reference

RGBA pixel type. More...

`#include <rgba_pixel.hpp>`

## Public Types
typedef pixel_traits< basic_rgba_pixel< T > > | traits

## Public Member Functions
| basic_rgba_pixel ()
| Default constructor. Initializes all components with zeros.
| basic_rgba_pixel (T red, T green, T blue, T alpha=traits::get_alpha_filler())
| Constructs rgba_pixel object from red, green, blue and alpha components passed as parameters. Alpha defaults to full opacity.

## Public Attributes
T | red
T | green
T | blue
T | alpha

## Detailed Description

template<typename T>
struct png::basic_rgba_pixel< T >

RGBA pixel type.

## Member Typedef Documentation

## ◆ traits

template<typename T>

typedef pixel_traits< basic_rgba_pixel< T > > png::basic_rgba_pixel< T >::traits

## Constructor & Destructor Documentation

## ◆ basic_rgba_pixel() [1/2]

template<typename T>

png::basic_rgba_pixel< T >::basic_rgba_pixel | ( |  | ) |
| inline

Default constructor. Initializes all components with zeros.

## ◆ basic_rgba_pixel() [2/2]

template<typename T>

png::basic_rgba_pixel< T >::basic_rgba_pixel | ( | T | red,
|  | T | green,
|  | T | blue,
|  | T | alpha = traits::get_alpha_filler() )
| inline

Constructs rgba_pixel object from red, green, blue and alpha components passed as parameters. Alpha defaults to full opacity.

## Member Data Documentation

## ◆ red

template<typename T>

T png::basic_rgba_pixel< T >::red

## ◆ green

template<typename T>

T png::basic_rgba_pixel< T >::green

## ◆ blue

template<typename T>

T png::basic_rgba_pixel< T >::blue

## ◆ alpha

template<typename T>

T png::basic_rgba_pixel< T >::alpha

The documentation for this struct was generated from the following file:

- rgba_pixel.hpp